@import "variables";

body {
  --bs-body-font-family: "Montserrat";
  --bs-body-bg: #FFF;
  --bs-body-font-size: 0.875rem;

  .fm-primary-colour {
    color: $secondary-color;
  }

  .fm-secondary-colour {
    color: $primary-color;
  }

  .pace .pace-progress {
    background: $primary-color;
 }
}

#main {
  .btn {
    --bs-body-font-family: "Montserrat";
    font-weight: 600;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }

  .btn-primary {
    color: $primary-color;
    background-color: $secondary-color;
    border-color: $secondary-color;
  }

  .btn-secondary {
    color: $secondary-color;
    background-color: $primary-color;
    border-color: $primary-color;
  }

  .btn-danger {
    background-color: #C5221F40;
    border-color: transparent;
    color: #000000;
  }

  .btn-light {
    background: transparent;
    border-color: #7C7C82;
    color: #7C7C82;
  }

  .form-control {
    border: 1px solid transparent;
  }

  input:not([type=submit]):not([type=checkbox]), textarea, select {
    background: #2C25D20D;
  }

  .btn {
    border-radius: 0.75rem;
    filter: drop-shadow(0px 8.49949px 33.9979px rgba(0, 0, 0, 0.12));
  }

  .btn-check:checked + .btn-outline-primary,
  .btn-check:active + .btn-outline-primary,
  .btn-outline-primary:active,
  .btn-outline-primary.active,
  .btn-outline-primary.dropdown-toggle.show {
    color: $primary-color;
    background-color: $secondary-color;
    border-color: $secondary-color;
  }

  .btn-outline-primary {
    color: $primary-color;
    border-color: transparent;
    background: #F7E2B557;
  }

  .btn-radio {
    font-size: 0.75rem
  }

  .btn-success {
    color: $primary-color;
    background: #87E57866;
    border-color: transparent;
  }

  .oauth-btn {
    padding: 0;
    background: transparent !important;
  }

  h4, h5, .bold {
    --bs-body-font-family: "Montserrat";
    font-weight: 700;
  }

  .semi-bold, ::placeholder {
    --bs-body-font-family: "Montserrat";
    font-weight: 600;
  }

  ::placeholder {
    color: #8F8F8F;
    font-size: 0.75em;
    opacity: 0.65;
  }

  .logo-container {
    padding: 0;
    color: inherit;
    text-decoration: none;
  }

  .form-floating {
    label {
      color: #8F8F8F;
      --bs-body-font-family: "Montserrat";
      font-weight: 600;
      padding: 1.25rem 0.75rem;
      font-size: 0.875rem;
    }
  }

  .button-and-explainer {
    text-align: center;
  }

  .map-container {
    height: 55vh;

    .map {
      border-radius: 10px;
    }
  }

  .expected-time {
    font-size: 1.5rem;
  }

  .delivery-details {
    .bi-whatsapp {
      font-size: 1.5rem;
    }

    .rider-info {
      text-align: center;
    }
  }

  .modal-content {
    background: #F2F4F8;
  }

  .latest-time-container {
    background: #F2F4F8;
  }

  .page-item.current {
    .page-link {
      background-color: $primary-color;
      border-color: $primary-color;
      color: $secondary-color;
    }
  }

  .page-link {
    color: #212529;
    background-color: #2C25D20D;
    border-color: #F2F4F8;
  }

  footer {
    background: #F2F4F8;
    color: #6c757d;
  }

  .form-label {
    font-weight: bold;
  }

  .nav-tabs {
    .nav-link {
      color: #212529;
    }

    .nav-link.active {
      color: $secondary-color;
      background-color: $primary-color;
      border-color: $primary-color;
    }
  }

  h2 {
    margin-left: -4px;
  }

  img.login-wallpager {
    width: 100%;
    height: 100%;
    border-radius: 3%;
  }

  .analytics-card {
    background: #2C25D20D;
    border-radius: 10px;
    padding: 1rem;
    margin-bottom: 1rem;
  }

  .spinner-border {
    color: $primary-color;
  }
}

.foremore-logo {
  width: 100%;
  height: auto;
  max-width: 105px;
}

table {
  th {
    padding: 5px;
    .th-inner {
      background: #2C25D20D;
      text-align: center;
      padding: 10px;
      border-radius: 10px;
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
    }
  }

  a {
    text-decoration: none;
  }

  td:first-child { border-top-left-radius: 10px; }
  td:last-child { border-top-right-radius: 10px; }
  td:first-child { border-bottom-left-radius: 10px; }
  td:last-child { border-bottom-right-radius: 10px; }
}

.nav.flex-column {
  background: #06158F80;
  height: 100%; /* Full height */
  position: fixed;
  width: 10%;
  padding-top: 5%;
  .nav-item {
    width: 100%;
    .nav-link.flex-column {
      color: $secondary-color;
      text-align: center;
    }

    i {
      color: $secondary-color;
      font-size: 1.25rem;
    }

    p {
      margin-bottom: 0;
    }
  }

  .nav-item.active {
    background: $primary-color;
  }
}

.overflow-ellipsis {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.nav.flex-row.header {
  padding-left: 12%;
  padding-right: 2%;
  padding-top: 2%;
}

#delivery-form {
  #delivery_address_notes {
    min-height: calc(6.5em + 0.75rem + 2px);
  }

  .map-container {
    height: 50vh;
    .map {
      border-radius: 10px;
      height: 100%;
      width: 100%;
    }
  }

  .sticky-top {
    top: 10%;
  }

  .gm-style .directions-card-medium-large {
    display: none !important;
  }

  .form-check-input:checked {
    background-color: $secondary-color;
    border-color: $secondary-color;
  }

  .form-check-input:focus {
    box-shadow: 0 0 0 0.2rem rgba(255, 255, 255, 0.25);
  }

  .form-check {
    .form-check-label-explainer{
      margin-left: 2rem;
    }
  }

  .form-check-input {
    height: 2rem;
    width: calc(3rem + 0.75rem);
    border-radius: 2rem * 2;
    margin-left: 0;
  }

  .confirm-switch-container {
    padding-left: 0;
  }

  h4 {
    margin-right: 0.25rem;
  }

  .img-order-preview {
    border: 2px solid $primary-color;
    border-radius: 5px;
  }

  .no-gutter {
    --bs-gutter-x: 0;
  }

  #vehicle-select,
  #address-radio-options,
  #delivery-type-radio-options,
  #customer-type-radio-options,
  #time-slots-radio-options {
    input[type="radio"]:checked +label {
      background: #2C25D20D;
    }

    .vehicle-radio-label,
    .vehicle-checkbox-label {
      border-radius: 0.25rem;
      padding: 0.5rem;
      overflow: hidden;
      text-overflow: ellipsis;
    }

    .vehicle-radio-label {
      line-height: 20px;
      padding: 0.64rem 0.5rem;
    }

    @media (hover: hover) {
      .vehicle-radio-label:hover {
        background: #2C25D20D;
      }
    }

    .vehicle-radio-input {
      display: none;
    }

    .vehicle-checkbox-input {
      position: absolute;
      width: 1px;
      height: 1px;
      top: 50%;
      left: 50%;
      opacity: 0;
      z-index: -1;
    }

    .field_with_errors{
      display: none;
    }
  }

  .vehicle-radio-input:disabled + label {
    pointer-events: none;
    opacity: 0.4;
  }

  .vehicle-radio-input:checked + .vehicle-radio-label {
    background: #2C25D20D;
  }

  .accordion-button, .accordion-item {
    background-color: transparent;
  }

  .accordion-button:not(.collapsed) {
    color: unset;
  }

  .accordion-item {
    border: none;
    border-bottom: 1px solid rgba(0, 0, 0, 0.125);
  }
}

#mobile-header {
  display: none;
}

.error-list {
  list-style: none;
}

@media only screen and (max-width: 768px) {
  #desktop-header, #desktop-nav {
    display: none;
  }

  #main {
   .map-container {
      height: 40vh;
      background: #F2F4F8;
    }

    #dashboard {
      .row {
        --bs-gutter-x: 0;
        margin-right: 0;
        margin-left: 0;
      }
    }
  }

  #delivery-form .sticky-top {
    top: 6%;
  }

  #mobile-header {
    background: #F2F4F8;
    display: block;
    padding-bottom: 0px;
    z-index: 1050;

    .bi-list {
      font-size: 2.25rem;
      color: $primary-color;
    }

    li a i {
      margin-right: 0.5rem;
    }

    .nav-item.active {
      width: 100%;
      background: $primary-color;
    }

    .nav-item {
      height: 3rem;
      padding-left: 1.25rem;

      .nav-link {
        color: $secondary-color;
        align-items: center;
        height: 100%;
      }
    }

    #navbarTogglerDemo02 {
      margin-left: -0.75rem;
      margin-right: -0.75rem;
      background: #06158F80;
    }

    .logo-container {
      padding-left: 0;
    }
  }

  #deliveries, #team, #teams, #companies {
    overflow-x: auto;
  }
}

@media only screen and (min-width: 768px) {
  #main {
    padding-left: 8%;
  }
}

@media only screen and (max-width: 768px) {
  #vehicle-select {
    .vehicle-label-column {
      width: 50%;
      display: flex;
      justify-content: center;
      align-content: center;
      flex-direction: column;
    }
  }
}

@media only screen and (max-width: 280px) {
  #mobile-header{
    .logo-container {
      flex: 0 0 auto;
      width: 66.66666667%;
    }
  }
}

body {
  display: grid;
  grid-template-columns: 200px 1fr;
  grid-template-rows: 150px 1fr;
  min-height: 100vh;

  @media (max-width: 1200px) {
    grid-template-columns: 1fr;
    grid-template-rows: auto;
    min-height: auto;
  }
}

#main {
  width: 100%;
  min-height: 100%;
  overflow: auto;
}

.mocked-navbar {
  width: 100%;
  height: 100%;
  position: sticky;
  top: 0;
  background: rgba(0, 0, 0, .3);
  display: flex;
  align-items: center;
  justify-content: center;
  text-transform: uppercase;
}

.mocked-sidebar {
  grid-row: span 2;
  height: 100%;
  position: sticky;
  top: 0;
  background: rgba(0, 0, 0, .3);
  display: flex;
  align-items: center;
  justify-content: center;
  text-transform: uppercase;

  @media (max-width: 1200px) {
    display: none;
  }
}
